Skip to main content
POST
Create account

Authorizations

Authorization
string
header
required

Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.

Headers

X-Organization-Id
string<uuid>

Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Query Parameters

organizationId
string<uuid>

Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Body

application/json
name
string
required
Required string length: 1 - 300
crmId
string
Pattern: \b[0-9A-Za-z]{15,18}\b
crmAccountType
string

Partner Type (Settings). Must be one of organization accountTypes.values.

website
string
description
string
imageUrl
string
annualRevenue
stockSymbol
string
domains
string[]
tags
string[]

Account tags (Settings). Each value must be in organization accountTypes.tags. Not contact tags.

accountStatus
string

Partner Subtype (Settings). Must be valid for the given crmAccountType in accountTypes.statuses.

relationshipStatus
string

Account Status (Settings). Must be one of accountTypes.relationshipStatuses.

internalOwnerId
string<uuid>
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Response

Created account.

account
object
required